# all files / ol/format/filter/ and.js

100% Statements 7/7
100% Branches 0/0
100% Functions 1/1
100% Lines 7/7

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    201×

    1×
    1×

    1×
    4×
    4×

    1×
     goog.provide('ol.format.filter.And');

    goog.require('ol');
    goog.require('ol.format.filter.LogicalNary');

    /**
     * @classdesc
     * Represents a logical `<And>` operator between two or more filter conditions.
     *
     * @constructor
     * @param {...ol.format.filter.Filter} conditions Conditions.
     * @extends {ol.format.filter.LogicalNary}
     * @api
     */
    ol.format.filter.And = function(conditions) {
      var params = ['And'].concat(Array.prototype.slice.call(arguments));
      ol.format.filter.LogicalNary.apply(this, params);
    };
    ol.inherits(ol.format.filter.And, ol.format.filter.LogicalNary);